Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class Gpickle

    java.lang.Object
      |
      +--Gpickle

Direct Known Subclasses:
  GpickleThread

public class Gpickle
extends java.lang.Object

Interface to pcl/pxl interpreter Uses Process to interpret and pipe the results back.

Version:
  $Revision: 1552 $
Author:
  Henry Stiles

Constructor Summary
`Gpickle()`

Method Summary
`int` | `getImgHeight()` Accessor for image height.
`int` | `getImgWidth()` Accessor for image width.
`java.awt.image.BufferedImage` | `getPrinterOutputPage()` run the pcl interpreter with the current settings and return a buffered image for the page.
`int` | `getPrinterPageCount()` run the pcl interpreter to get a total page count for the job.
`double` | `getResX()`
`double` | `getResY()`
`boolean` | `getRTL()`
`boolean` | `getTextAlpha()`
`static void` | `main(java.lang.String[] args)` main for test purposes
`void` | `setDeviceOptions(java.lang.String options)`
`void` | `setJob(java.lang.String jobList)` A list of file names that comprise a job.
`void` | `setPageNumber(int page)` Page number to display.
`void` | `setRes(double xRes, double yRes)` NB needs error handling.
`void` | `setRTL(boolean on)`
`void` | `setTextAlpha(boolean textAlpha)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Gpickle

    public Gpickle()

Method Detail

### setRTL

    public void setRTL(boolean on)

### getRTL

    public boolean getRTL()

### getTextAlpha

    public boolean getTextAlpha()

### setTextAlpha

    public void setTextAlpha(boolean textAlpha)

### getPrinterPageCount

    public int getPrinterPageCount()

  run the pcl interpreter to get a total page count for the job. Returns -1 if there is an error.

### setDeviceOptions

    public void setDeviceOptions(java.lang.String options)

### getPrinterOutputPage

    public java.awt.image.BufferedImage getPrinterOutputPage()

  run the pcl interpreter with the current settings and return a buffered image for the page. Sets height and width as a side effect.

### setJob

    public void setJob(java.lang.String jobList)

  A list of file names that comprise a job. NB should be an array of String.

### setRes

    public void setRes(double xRes,
                       double yRes)

  NB needs error handling. set x and y resolution.
  Parameters:
    `Positive` - between 5 and 5000

### getResX

    public double getResX()

### getResY

    public double getResY()

### setPageNumber

    public void setPageNumber(int page)

  Page number to display. Previous pages are "skipped".

### getImgHeight

    public int getImgHeight()

  Accessor for image height.

### getImgWidth

    public int getImgWidth()

  Accessor for image width.

### main

    public static void main(java.lang.String[] args)

  main for test purposes

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD